﻿
@model JavnaNabava.ViewModels.VrsteDokumenataViewModel

@{
    ViewData["Title"] = "Šifrarnik vrsta dokumenta";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Šifrarnik vrsta dokumenta</h1>
<p>
    <small>
        Ova stranica je jednostavni tablični prikaz (šifrarnička tablica) <br />
        Implementirano je straničenje i sortiranje te ostanak na stranici prilikom brisanja.<br />
        Omogućeno je dodavanje i ažuriranje novog podatka te validacija podataka.<br />
        Napravljena je potvrda prilikom brisanja.<br />
    </small>
</p>
<p>
    <a asp-action="Create"><i class="fas fa-plus-square"></i>Stvori novu vrstu</a>
</p>
<pager page-info="@Model.PagingInfo" page-title="Unesite zeljenu stranicu"
       page-action="Index" class="float-right">
</pager>
<table class="table table-sm table-striped" table-hover">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">
                    Id
                </a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">Naziv</a>
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var vrsta in Model.Vrste)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => vrsta.Id)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => vrsta.Naziv)
                </td>
                <td class="btn-group">
                    <a asp-action="Edit"
                       asp-route-id="@vrsta.Id"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending"
                       class="btn btn-sm edit"
                       title="Ažuriraj"><i class="fas fa-edit"></i></a>
                    <form asp-action="Delete" method="post"
                          asp-route-page="@Model.PagingInfo.CurrentPage"
                          asp-route-sort="@Model.PagingInfo.Sort"
                          asp-route-ascending="@Model.PagingInfo.Ascending">
                        <input type="hidden" name="Id" value="@vrsta.Id" />
                        <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>
